%global _empty_manifest_terminate_build 0

Name:           python-pyproject-hooks
Version:        1.0.0
Release:        1
Summary:        Wrappers to call pyproject.toml-based build backend hooks

License:        MIT
URL:            https://pypi.org/project/pyproject_hooks/
Source:         %{pypi_source pyproject_hooks}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:  python3-flit-core

%global _description %{expand:
This is a low-level library for calling build-backends in
pyproject.toml-based project. It provides the basic functionality
to help write tooling that generates distribution files from
Python projects.}


%description %_description

%package -n     python3-pyproject-hooks
Summary:        %{summary}

%description -n python3-pyproject-hooks %_description


%prep
%autosetup -p1 -n pyproject_hooks-%{version}
sed -i "/flake8/d" dev-requirements.txt

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-pyproject-hooks
%doc README.rst
%license LICENSE
%{python3_sitelib}/pyproject_hooks
%{python3_sitelib}/pyproject_hooks*.dist-info/

%changelog
* Thu Jun 1 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.0.0-1
- Initial package 1.0.0
